{#
 * Copyright (C) 2014-2021, Champs Libres Cooperative SCRLFS,
 <info@champs-libres.coop> / <http://www.champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
#}

{% extends "@ChillMain/layoutWithVerticalMenu.html.twig" %}

{% block top_banner %}
    {{ include('@ChillPerson/Person/banner.html.twig', { title: block('title') }) }}
{% endblock %}

{% block layout_wvm_content %}
    <div class="row justify-content-center">
        <div class="col-md-10 col-xxl">
            {% block content %}{# block content empty #}{% endblock %}
        </div>
    </div>
{% endblock %}

{% block vertical_menu_content %}
    {{ chill_menu('person', {
        'layout': '@ChillPerson/menu.html.twig',
        'args' : {'person_id': person.id, 'person': person },
        'activeRouteKey': activeRouteKey
    }) }}

    {% block block_post_menu %}
        <div class="post-menu">
            {{ chill_delegated_block('person_post_vertical_menu', { 'person': person } ) }}
        </div>
    {% endblock %}

{% endblock %}
